%define language br-FR
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Breton
%define name mozilla-firefox-%{locale}
%define version 1.0.2
%define release 1mdk
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version 1.0.2
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: mozilla-firefox-br-1.0.1.tar.bz2
License: GPL
Group: Networking/WWW
Url: http://www.drouizig.org/Pellgargan/Meziantou/firefox-1.0.1.br-FR.win32.zip
BuildRoot: %{_buildroot}
PreReq: mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -n %{name}-1.0.1

%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/chrome/
cp %language.jar %buildroot%{mozillalibdir}/chrome/
# installed-chrome.txt addition
mkdir -p %buildroot%{mozillalibdir}/chrome/rc.d/
cp installed-chrome.txt %buildroot%{mozillalibdir}/chrome/rc.d/10_%name.txt


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(755,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/chrome/%language.jar
%_libdir/mozilla-firefox-%{firefox_version}/chrome/rc.d/10_%name.txt

%post -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%postun -p %{mozillalibdir}/mozilla-rebuild-databases.pl

%changelog
* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Tue Mar 22 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- initial release
